/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.object.service;

import com.liferay.portal.kernel.service.ServiceWrapper;

/**
 * Provides a wrapper for {@link ObjectLayoutTabService}.
 *
 * @author Marco Leo
 * @see ObjectLayoutTabService
 * @generated
 */
public class ObjectLayoutTabServiceWrapper
	implements ObjectLayoutTabService, ServiceWrapper<ObjectLayoutTabService> {

	public ObjectLayoutTabServiceWrapper(
		ObjectLayoutTabService objectLayoutTabService) {

		_objectLayoutTabService = objectLayoutTabService;
	}

	/**
	 * Returns the OSGi service identifier.
	 *
	 * @return the OSGi service identifier
	 */
	@Override
	public String getOSGiServiceIdentifier() {
		return _objectLayoutTabService.getOSGiServiceIdentifier();
	}

	@Override
	public ObjectLayoutTabService getWrappedService() {
		return _objectLayoutTabService;
	}

	@Override
	public void setWrappedService(
		ObjectLayoutTabService objectLayoutTabService) {

		_objectLayoutTabService = objectLayoutTabService;
	}

	private ObjectLayoutTabService _objectLayoutTabService;

}